Bug 1469241 - gnome-settings-daemon is segfaulting in up_client_glue_get_lid_is_present()
gnome-settings-daemon is segfaulting in up_client_glue_get_lid_is_present()
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: upower (Show other bugs)
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2017-07-10 13:19 EDT by jigar
Modified: 2018-02-02 07:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-02 07:56:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backtrace (2.79 KB, text/plain)
2017-07-10 13:19 EDT, jigar
no flags Details

  None (edit)
Description jigar 2017-07-10 13:19:51 EDT
Created attachment 1295898 [details]

Description of problem: gnome-settings-daemon is segfaulting due to up_client_glue_get_lid_is_present in upower

Version-Release number of selected component (if applicable): 

How reproducible: Frequently at Customer's end

Steps to Reproduce:

Backtrace attached

Actual results: gnome-settings-daemon is segfaulting

Expected results: gnome-settings daemon shouldn't crash
Comment 2 Richard Hughes 2017-07-11 05:04:43 EDT
I'm guessing upower is failing to run? We of course should catch the failure to connect and handle the error, but I'd also like to know why upower can't be started.

Note You need to log in before you can comment on or make changes to this bug.